Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_JSContext

Contained in: global
Derived from: none
Derived by: none
Group: JavaScript (Framework)

#include <ClanLib/javascript.h>

### public function member index:

`` | `CL_JSContext` | `(`CL_JSRuntime`& `runtime`, `int` `stackSize`)`;
`` | `~CL_JSContext` | `()`;
``JSContext`*` | `getContext` | `()`;
`` | `operator` `JSContext*` | `()`;
``CL_JSValue`` | `evaluateScript` | `(`CL_JSObject`& `globalObject`, `const` `std::string`& `code`, `const` `std::string`& `filename` = "", `int` `lineNumber` = 1)`;
``static` `CL_JSContext`*` | `tempFromHandle` | `(`JSContext`* `cx`)`;
``static` `CL_JSContext`*` | `permanentFromHandle` | `(`JSContext`* `cx`)`;

### private function member index:

`` | `CL_JSContext` | `(`JSContext`* `context`, `bool` `tempObject`)`;

## Description:

## Function Member Descriptions:

## Variable Member Descriptions: